CVE-2005-4532
CVSS7.2
发布时间 :2005-12-27 20:03:00
修订时间 :2008-09-05 16:57:08
NMCOPS    

[原文]scponlyc in scponly 4.1 and earlier, when the operating system supports LD_PRELOAD mechanisms, allows local users to execute arbitrary code with root privileges by creating a chroot directory in their home directory, hard linking to a system setuid application, and using a modified LD_PRELOAD to modify expected function calls in the setuid application.


[CNNVD]SCPOnly多个本地漏洞(CNNVD-200512-563)

        scponly 4.1及更早版本中的scponlyc,当操作系统支持LD_PRELOAD机制时,本地用户可以在其home目录中创建一个chroot目录,将其硬链接到一个系统setuid应用程序,并使用一个修改过的LD_PRELOAD来修改setuid应用程序中期望的函数调用,从而实现以超级用户的权限执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:scponly:scponly:4.1
cpe:/a:scponly:scponly:3.4
cpe:/a:scponly:scponly:3.6
cpe:/a:scponly:scponly:3.11
cpe:/a:scponly:scponly:4.0
cpe:/a:scponly:scponly:3.3
cpe:/a:scponly:scponly:3.1
cpe:/a:scponly:scponly:3.8
cpe:/a:scponly:scponly:3.7
cpe:/a:scponly:scponly:3.2
cpe:/a:scponly:scponly:3.9

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4532
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4532
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-563
(官方数据源) CNNVD

- 其它链接及资源

http://secunia.com/advisories/18223
(VENDOR_ADVISORY)  SECUNIA  18223
http://sublimation.org/scponly/#relnotes
(UNKNOWN)  CONFIRM  http://sublimation.org/scponly/#relnotes
http://xforce.iss.net/xforce/xfdb/23874
(UNKNOWN)  XF  scponly-scponlyc-privilege-escalation(23874)
http://www.securityfocus.com/bid/16051
(UNKNOWN)  BID  16051
http://www.gentoo.org/security/en/glsa/glsa-200512-17.xml
(UNKNOWN)  GENTOO  GLSA-200512-17
http://www.debian.org/security/2006/dsa-969
(UNKNOWN)  DEBIAN  DSA-969
http://secunia.com/advisories/18829
(UNKNOWN)  SECUNIA  18829
http://secunia.com/advisories/18236
(UNKNOWN)  SECUNIA  18236

- 漏洞信息

SCPOnly多个本地漏洞
高危 设计错误
2005-12-27 00:00:00 2005-12-28 00:00:00
本地  
        scponly 4.1及更早版本中的scponlyc,当操作系统支持LD_PRELOAD机制时,本地用户可以在其home目录中创建一个chroot目录,将其硬链接到一个系统setuid应用程序,并使用一个修改过的LD_PRELOAD来修改setuid应用程序中期望的函数调用,从而实现以超级用户的权限执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://sublimation.org/scponly/scponly-4.2.tgz
        http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_alpha.deb
        http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_mipsel.deb
        http://sublimation.org/scponly/scponly-4.2.tgz

- 漏洞信息 (F43806)

Debian Linux Security Advisory 969-1 (PacketStormID:F43806)
2006-02-14 00:00:00
Debian  debian.org
advisory,shell,root
linux,debian
CVE-2005-4532
[点击下载]

Debian Security Advisory DSA 969-1 - Max Vozeller discovered a vulnerability in scponly, a utility to restrict user commands to scp and sftp, that could lead to the execution of arbitray commands as root. The system is only vulnerable if the program scponlyc is installed setuid root and if regular users have shell access to the machine.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- --------------------------------------------------------------------------
Debian Security Advisory DSA 969-1                     security@debian.org
http://www.debian.org/security/                             Martin Schulze
February 13th, 2006                     http://www.debian.org/security/faq
- --------------------------------------------------------------------------

Package        : scponly
Vulnerability  : design error
Problem type   : local
Debian-specific: no
CVE ID         : CVE-2005-4532
Debian Bug     : 344418

Max Vozeller discovered a vulnerability in scponly, a utility to
restrict user commands to scp and sftp, that could lead to the
execution of arbitray commands as root.  The system is only vulnerable
if the program scponlyc is installed setuid root and if regular users
have shell access to the machine.

The old stable distribution (woody) does not contain an scponly package.

For the stable distribution (sarge) this problem has been fixed in
version 4.0-1sarge1.

For the unstable distribution (sid) this problem has been fixed in
version 4.6-1.

We recommend that you upgrade your scponly package.


Upgrade Instructions
- --------------------

wget url
        will fetch the file for you
dpkg -i file.deb
        will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
        will update the internal database
apt-get upgrade
        will install corrected packages

You may use an automated update by adding the resources from the
footer to the proper configuration.


Debian GNU/Linux 3.1 alias sarge
- --------------------------------

  Source archives:

    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1.dsc
      Size/MD5 checksum:      600 ef0e45e07cfdd80fd53c0d3cd3daa31e
    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1.diff.gz
      Size/MD5 checksum:    27012 96ee81daa1b248fe679106a9d9986b1b
    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0.orig.tar.gz
      Size/MD5 checksum:    85053 1706732945996865ed0cccd440b64fc1

  Alpha architecture:

    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_alpha.deb
      Size/MD5 checksum:    31270 662c573abf24bf1094e939b89acd5575

  AMD64 architecture:

    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_amd64.deb
      Size/MD5 checksum:    30254 5db48bd53f0ca4fea76091221ceee6ac

  ARM architecture:

    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_arm.deb
      Size/MD5 checksum:    29046 95081c9ab7115b06f4b370bf8ecadae6

  Intel IA-32 architecture:

    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_i386.deb
      Size/MD5 checksum:    29356 1f2e8799c3c018c17734665f2610bef2

  Intel IA-64 architecture:

    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_ia64.deb
      Size/MD5 checksum:    33144 887025e1e4ff759edd4f69005c6c2b3b

  HP Precision architecture:

    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_hppa.deb
      Size/MD5 checksum:    30262 f721669ee692a8b21d975912a0a67f56

  Motorola 680x0 architecture:

    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_m68k.deb
      Size/MD5 checksum:    29002 e7d63e25636483f8437b57d897fcd1b3

  Big endian MIPS architecture:

    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_mips.deb
      Size/MD5 checksum:    38582 995a79aab6d2ed7ab4bc37b921462a9e

  Little endian MIPS architecture:

    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_mipsel.deb
      Size/MD5 checksum:    38564 95bbff4502021a1a53f45c014fca20e2

  PowerPC architecture:

    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_powerpc.deb
      Size/MD5 checksum:    29702 60138f788f40ba7ffc35de22f7bb39cc

  IBM S/390 architecture:

    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_s390.deb
      Size/MD5 checksum:    30060 340a4ed4effca8e9e27643789ea300c9

  Sun Sparc architecture:

    http://security.debian.org/pool/updates/main/s/scponly/scponly_4.0-1sarge1_sparc.deb
      Size/MD5 checksum:    29302 404579837618ae530847774aab4227a3


  These files will probably be moved into the stable distribution on
  its next update.

- ---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: debian-security-announce@lists.debian.org
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<pkg>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD8GjeW5ql+IAeqTIRAquJAKC36a6m6P8f6hvTOwl4NyB5YzHsMQCfYKhp
CPb/UdHwQhfROxTAWSr83QA=
=PXES
-----END PGP SIGNATURE-----

    

- 漏洞信息

22058
scponly Arbitrary Directory chroot Privilege Escalation

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-12-21 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 4.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

SCPOnly Multiple Local Vulnerabilities
Design Error 16051
No Yes
2005-12-23 12:00:00 2006-07-06 08:24:00
The first issue was discovered by Max Vozeler. The second issue was discovered by Pekka Pessi.

- 受影响的程序版本

scponly scponly 4.1
+ Gentoo Linux
scponly scponly 4.0
scponly scponly 3.11
scponly scponly 3.9
scponly scponly 3.8
scponly scponly 3.5
scponly scponly 3.0
scponly scponly 2.4
scponly scponly 2.3
scponly scponly 2.1
scponly scponly 2.0
Debian Linux 3.1 sparc
Debian Linux 3.1 s/390
Debian Linux 3.1 ppc
Debian Linux 3.1 mipsel
Debian Linux 3.1 mips
Debian Linux 3.1 m68k
Debian Linux 3.1 ia-64
Debian Linux 3.1 ia-32
Debian Linux 3.1 hppa
Debian Linux 3.1 arm
Debian Linux 3.1 amd64
Debian Linux 3.1 alpha
Debian Linux 3.1
scponly scponly 4.2

- 不受影响的程序版本

scponly scponly 4.2

- 漏洞讨论

The 'scponly' program is prone to multiple local vulnerabilities. These issues can allow local attackers to gain elevated privileges.

The application is affected by a design error affecting the 'scponlyc' binary.

An attacker can also issue malicious command-line arguments to 'rsync' or scp to execute arbitrary applications with elevated privileges.

Successful exploitation of these issues can facilitate a complete compromise.

- 漏洞利用

Exploit code is not required.

- 解决方案

Please see the referenced vendor advisories for details on obtaining and applying fixes.

The vendor has released scponly 4.2 to address these issues.


scponly scponly 2.0

scponly scponly 2.1

scponly scponly 2.3

scponly scponly 2.4

scponly scponly 3.0

scponly scponly 3.11

scponly scponly 3.5

scponly scponly 3.8

scponly scponly 3.9

scponly scponly 4.0

scponly scponly 4.1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站